CreateL3Network
CreateL3Network
/zstack/v1/l3-networksOperation ID
CreateL3NetworkSince
0.6Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe L3 network name.
descriptionStringOptional. The detailed description of the L3 network.
typeStringOptional. The L3 network type.
l2NetworkUuidStringRequiredThe L2 network UUID.
ipVersionStringOptional. The IP version.
systembooleanOptional. Whether the L3 network can be applied to appliance VM instances.
dnsDomainStringOptional. The DNS domain.
resourceUuidStringOptional. The resource UUID. If specified, the L3 network will use the specified value as UUID.
categoryStringOptional. The network type, which must be used with the system tags. If system is set to false, this parameter can be set to Public or Private.
tagUuidsListThe tag UUID list.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
paramsstructureObjectRequiredparamsstructure request body object.
enableIPAMBooleanRequiredWhether to enable the IP address management.
Responses
200 OKChange History
View all change historyChange Time
AddedRequest body fields paramsstructureView API
